Loading...
Searching...
No Matches
mdds::detail::mtv::iterator_value_node< ParentT, SizeT > Struct Template Reference

`#include <iterator_node.hpp>`

## Classes

struct | private_data

## Public Types

using | parent_type = ParentT
using | size_type = SizeT

## Public Member Functions

| iterator_value_node (const parent_type *parent, size_type block_index)
void | swap (iterator_value_node &other)
bool | operator== (const iterator_value_node &other) const
bool | operator!= (const iterator_value_node &other) const

## Public Attributes

mdds::mtv::element_t | type
size_type | position
size_type | size
mdds::mtv::base_element_block * | data
private_data | __private_data

## Detailed Description

template<typename ParentT, typename SizeT>
struct mdds::detail::mtv::iterator_value_node< ParentT, SizeT >

Node that represents the content of each iterator. The private data part is an implementation detail that should never be accessed externally. What the end position stores in its private data is totally & intentionally undefined.